jif.ast

## Class CheckedEndorseStmt_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.Stmt_c
      - - jif.ast.DowngradeStmt_c
        - - jif.ast.EndorseStmt_c
          - - jif.ast.CheckedEndorseStmt_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, CheckedEndorseStmt, DowngradeStmt, EndorseStmt, polyglot.ast.CompoundStmt, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.util.Copy<polyglot.ast.Node>

      public class CheckedEndorseStmt_c
      extends EndorseStmt_c
      implements CheckedEndorseStmt

  An implementation of the `CheckedEndorseStmt` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected polyglot.ast.Expr` | `expr`

    - ### Fields inherited from class jif.ast.DowngradeStmt_c

      `body, bound, label`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckedEndorseStmt_c(polyglot.util.Position pos, polyglot.ast.Expr e, LabelNode bound, LabelNode label, polyglot.ast.If body)`
    `CheckedEndorseStmt_c(polyglot.util.Position pos, polyglot.ast.Expr e, LabelNode bound, LabelNode label, polyglot.ast.If body, polyglot.ast.Ext ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Expr` | `expr()`
    `CheckedEndorseStmt` | `expr(polyglot.ast.Expr expr)`
    `protected <N extends CheckedEndorseStmt_c> N` | `expr(N n, polyglot.ast.Expr expr)`
    `void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `protected <N extends CheckedEndorseStmt_c> N` | `reconstruct(N n, polyglot.ast.Expr expr, LabelNode bound, LabelNode label, polyglot.ast.Stmt body)`
    `java.lang.String` | `toString()`
    `polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

    - ### Methods inherited from class jif.ast.EndorseStmt_c

      `downgradeKind`

    - ### Methods inherited from class jif.ast.DowngradeStmt_c

      `acceptCFG, body, body, body, bound, bound, bound, firstChild, label, label, label, reconstruct, translate`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptionCheck, exceptions, exceptions, exceptions, extRewrite, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteEnter, extRewriteOverride, isDisambiguated, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.ast.DowngradeStmt

      `body, body, bound, bound, downgradeKind, label, label`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Field Detail

    - #### expr

          protected polyglot.ast.Expr expr

  - ### Constructor Detail

    - #### CheckedEndorseStmt_c

          public CheckedEndorseStmt_c(polyglot.util.Position pos,
                                      polyglot.ast.Expr e,
                                      LabelNode bound,
                                      LabelNode label,
                                      polyglot.ast.If body)

    - #### CheckedEndorseStmt_c

          public CheckedEndorseStmt_c(polyglot.util.Position pos,
                                      polyglot.ast.Expr e,
                                      LabelNode bound,
                                      LabelNode label,
                                      polyglot.ast.If body,
                                      polyglot.ast.Ext ext)

  - ### Method Detail

    - #### expr

          public polyglot.ast.Expr expr()

      Specified by:
        `expr` in interface `CheckedEndorseStmt`

    - #### expr

          public CheckedEndorseStmt expr(polyglot.ast.Expr expr)

      Specified by:
        `expr` in interface `CheckedEndorseStmt`

    - #### expr

          protected <N extends CheckedEndorseStmt_c> N expr(N n,
                                                            polyglot.ast.Expr expr)

    - #### reconstruct

          protected <N extends CheckedEndorseStmt_c> N reconstruct(N n,
                                                                   polyglot.ast.Expr expr,
                                                                   LabelNode bound,
                                                                   LabelNode label,
                                                                   polyglot.ast.Stmt body)

    - #### visitChildren

          public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

      Specified by:
        `visitChildren` in interface `polyglot.ast.NodeOps`
      Overrides:
        `visitChildren` in class `DowngradeStmt_c`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `DowngradeStmt_c`

    - #### prettyPrint

          public void prettyPrint(polyglot.util.CodeWriter w,
                                  polyglot.visit.PrettyPrinter tr)

      Specified by:
        `prettyPrint` in interface `polyglot.ast.NodeOps`
      Overrides:
        `prettyPrint` in class `DowngradeStmt_c`